Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document
Class StorageEditorInputProxy

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.EditorInputProxy
          org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.document.StorageEditorInputProxy

All Implemented Interfaces:
  IAdaptable, MEditingDomainElement, IEditorInput, IStorageEditorInput

Direct Known Subclasses:
  FileEditorInputProxy

    public class StorageEditorInputProxy

extends EditorInputProxy
implements IStorageEditorInput, MEditingDomainElement

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.EditorInputProxy
`editingDomain, fProxied`

Constructor Summary
`StorageEditorInputProxy(IStorageEditorInput input, org.eclipse.emf.transaction.TransactionalEditingDomain domain)`

Method Summary
`boolean` `equals(java.lang.Object arg0)`
`IStorage` `getStorage()`
`int` `hashCode()`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.EditorInputProxy
`exists, getAdapter, getEditingDomain, getImageDescriptor, getName, getPersistable, getToolTipText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IEditorInput
`exists, getImageDescriptor, getName, getPersistable, getToolTipText`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.MEditingDomainElement
`getEditingDomain`

Constructor Detail

### StorageEditorInputProxy

    public StorageEditorInputProxy(IStorageEditorInput input,
                                   org.eclipse.emf.transaction.TransactionalEditingDomain domain)

Parameters:
  `input` - IEditorInput
  `domain` - EditingDomain

Method Detail

### getStorage

    public IStorage getStorage()
                        throws CoreException

  Specified by:
    `getStorage` in interface `IStorageEditorInput`
  Throws:
    `CoreException`

### equals

    public boolean equals(java.lang.Object arg0)

  Overrides:
    `equals` in class `EditorInputProxy`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `EditorInputProxy`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.